import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const XTimeline = /*@__PURE__*/ proxyCustomElement(class XTimeline extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: 'f48e81ec85b1974f381984d8e6377ef67892d872' }, h("slot", { key: '83e8a87303fda2cec7afe9319c6ba52911e805b1' }));
    }
}, [4, "x-timeline-header"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-timeline-header"];
    components.forEach(tagName => { switch (tagName) {
        case "x-timeline-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTimeline);
            }
            break;
    } });
}

const XTimelineHeader = XTimeline;
const defineCustomElement = defineCustomElement$1;

export { XTimelineHeader, defineCustomElement };
